Individual Profile from ID

The Individual Profile from ID service returns an individual profile for the ID provided. If the ID does not return a match, this service checks if this Individual was merged into another Individual. If this is the case, an additional element of <merged_into_individual_id> is returned in the response with the new Individual ID.

Service Name

individual_profile_from_id

Required Parameters

NameType
individual_idinteger

Optional Parameters

NameType
include_inactiveboolean

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=individual_profile_from_id&individual_id=48"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="individual_profile_from_id" name="srv"/>
      <argument value="48" name="individual_id"/>
    </parameters>
  </request>
  <response>
    <service>individual_profile_from_id</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <individuals count="1">
      <individual id="48">
        <sync_id></sync_id>
        <other_id></other_id>
        <giving_number></giving_number>
        <campus id="1">Church of Cucumbers</campus>
        <family id="36">The Bob Family</family>
        <family_image>https://cdn3.ccbchurch.com/preSTABLE/images/group-default.gif</family_image>
        <family_position>Primary Contact</family_position>
        <family_members/>
        <first_name>Larry</first_name>
        <last_name>Bob</last_name>
        <middle_name></middle_name>
        <legal_first_name></legal_first_name>
        <full_name>Larry Bob</full_name>
        <salutation></salutation>
        <suffix></suffix>
        <image>https://cdn3.ccbchurch.com/preSTABLE/images/profile-default.gif</image>
        <email>[email protected]</email>
        <allergies></allergies>
        <confirmed_no_allergies>false</confirmed_no_allergies>
        <addresses>
          <address type="mailing">
            <street_address></street_address>
            <city></city>
            <state>CO</state>
            <zip></zip>
            <country code=""> </country>
            <line_1></line_1>
            <line_2>CO</line_2>
            <latitude></latitude>
            <longitude></longitude>
          </address>
          <address type="home">
            <street_address></street_address>
            <city></city>
            <state></state>
            <zip></zip>
            <country code=""> </country>
            <line_1></line_1>
            <line_2></line_2>
          </address>
          <address type="work">
            <street_address></street_address>
            <city></city>
            <state></state>
            <zip></zip>
            <country code=""> </country>
            <line_1></line_1>
            <line_2></line_2>
          </address>
          <address type="other">
            <street_address></street_address>
            <city></city>
            <state></state>
            <zip></zip>
            <country code=""> </country>
            <line_1></line_1>
            <line_2></line_2>
          </address>
        </addresses>
        <phones>
          <phone type="home">(098) 765-4321</phone>
          <phone type="work"></phone>
          <phone type="mobile"></phone>
        </phones>
        <mobile_carrier id="0"> </mobile_carrier>
        <gender></gender>
        <marital_status></marital_status>
        <birthday></birthday>
        <anniversary></anniversary>
        <baptized>false</baptized>
        <deceased></deceased>
        <membership_type id=""> </membership_type>
        <membership_date></membership_date>
        <membership_end></membership_end>
        <receive_email_from_church>true</receive_email_from_church>
        <default_new_group_messages>Group Default</default_new_group_messages>
        <default_new_group_comments>Group Default</default_new_group_comments>
        <default_new_group_digest>Group Default</default_new_group_digest>
        <default_new_group_sms>Never</default_new_group_sms>
        <privacy_settings>
           <profile_listed>true</profile_listed>
           <mailing_address id="2">My Friends</mailing_address>
           <home_address id="2">My Friends</home_address>
           <home_phone id="3">My Friends and Group Members</home_phone>
           <work_phone id="2">My Friends</work_phone>
           <mobile_phone id="2">My Friends</mobile_phone>
           <emergency_phone id="2">My Friends</emergency_phone>
           <birthday id="4">Everyone</birthday>
           <anniversary id="4">Everyone</anniversary>
           <gender id="4">Everyone</gender>
           <marital_status id="2">My Friends</marital_status>
           <user_defined_fields id="2">My Friends</user_defined_fields>
           <allergies id="1">Church Leadership</allergies>
        </privacy_settings>
        <active>true</active>
        <creator id="1">Larry Cucumber</creator>
        <modifier id="1">Larry Cucumber</modifier>
        <created>2012-09-25 15:29:15</created>
        <modified>2012-09-25 15:30:50</modified>
        <user_defined_text_fields/>
        <user_defined_date_fields/>
        <user_defined_pulldown_fields/>
      </individual>
    </individuals>
  </response>
</ccb_api>